Loading...
Searching...
No Matches
nutation.c File Reference

SuperNOVAS implementations for the IAU2000 nutation series calculations, with varying trade-offs between computational cost and precision. More...

## Functions

int | iau2000a (double jd_tt_high, double jd_tt_low, double *restrict dpsi, double *restrict deps)
| Computes the IAU 2000A high-precision nutation series for the specified date, to 0.1 μas accuracy.
int | iau2000b (double jd_tt_high, double jd_tt_low, double *restrict dpsi, double *restrict deps)
| Computes the forced nutation of the non-rigid Earth based at reduced precision.
int | nu2000k (double jd_tt_high, double jd_tt_low, double *restrict dpsi, double *restrict deps)
| Computes the forced nutation of the non-rigid Earth: Model NU2000K.
int | nutation_angles (double t, enum novas_accuracy accuracy, double *restrict dpsi, double *restrict deps)
| Returns the IAU2000 / 2006 values for nutation in longitude and nutation in obliquity for a given TDB Julian date and the desired level of accuracy.

## Detailed Description

SuperNOVAS implementations for the IAU2000 nutation series calculations, with varying trade-offs between computational cost and precision.

It provides support for both the IAU 2000A, a truncated version with ~1 mas precision in the current epoch, and a NOVAS-specific reduced precision series with intermediate accuracy.

Based on the NOVAS C Edition, Version 3.1:

U. S. Naval Observatory
Astronomical Applications Dept.
Washington, DC
http://www.usno.navy.mil/USNO/astronomical-applications

Author
  Attila Kovacs and G. Kaplan

See also
  equator.c, earth.c, frames.c